## python-pygraphviz 1.0

=== debian/changelog ===
python-pygraphviz (1.0-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - updated download location
    - updated upstream copyright years
  * debian/control
    - bump Standards-Version to 3.9.1
      + removed references to BSD licenses from debian/copyright
  * debian/patches/changeset_r{1131, 1746, 1752}.diff
    - removed, shipped with upstream tarball

 -- Sandro Tosi <morph@debian.org>  Mon, 02 Aug 2010 23:26:30 +0200

python-pygraphviz (0.99.1-2) unstable; urgency=low

  * debian/{control, source/format, rules}
    - switch to '3.0 (quilt)' source format
  * debian/{control, pyversions}
    - removed pyversions, now using XS-P-V
  * debian/watch
    - only report number-only versions
  * debian/patches/changeset_r{1131, 1746, 1752}.diff
    - added from upstream svn to support Python 2.6 (no string exceptions and
      not access to __dict__); Closes: #585317

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Jun 2010 16:37:25 +0200

python-pygraphviz (0.99.1-1) unstable; urgency=low

  * New upstream release; thanks to David Claughton for the report;
    Closes: #568031
  * debian/control
    - take maintainership back under DPMT umbrella; thanks to Cyril Brulebois
      for his work
    - adjust Vcs-{Svn, Browser} to point to DPMT location
    - bump Standards-Version to 3.8.4
      + added debian/README.source
  * debian/copyright
    - update copyright notice for packaging
  * debian/pycompat
    - removed, no more needed
  * debian/pyversions
    - minimum version set to 2.5
  * debian/patches/10_ship_examples_miles.dat
    - updated for new upstream code
    - added description
  * debian/patches/20_add_python_shebang
    - removed, fixed upstream

 -- Sandro Tosi <morph@debian.org>  Mon, 22 Feb 2010 19:17:33 +0100

python-pygraphviz (0.99-3) unstable; urgency=low

  * Avoid installation in /usr/local by adding “--prefix=/usr” through the
    DEB_PYTHON_INSTALL_ARGS_ALL variable. Many thanks to Piotr Ożarowski
    for reporting, and to Kumar Appaiah for the patch. Good work on
    getting python2.6 rocking and rolling! (Closes: #556157).
  * Fix Homepage field since upstream's website got shuffled around,
    thanks to Denis Laxalde (Closes: #559059).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Dec 2009 02:25:39 +0100

python-pygraphviz (0.99-2) unstable; urgency=low

  * Upload to unstable now that lenny is released (yay).
  * Fix FTBFS with python-support 0.90.3: no longer rely on its internal
    behaviour, and now set tests/test.py executable in the install target
    (Closes: #517080).
  * Tidy up debian/rules some more.
  * Update Vcs-* fields: move from DPMT's svn to collab-maint's git.
  * Remote DPMT from Uploaders, following Piotr Ożarowski's request.
  * Add ${misc:Depends} to Depends.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 28 Feb 2009 13:53:32 +0100

python-pygraphviz (0.99-1) experimental; urgency=low

  [ Sandro Tosi ]
  * debian/control:
    - Switch Vcs-Browser field to viewsvn.

  [ Cyril Brulebois ]
  * New upstream release.
  * debian/docs:
     - Update for the renamed README.txt file.
  * debian/rules:
     - Clean the pygraphviz.egg-info directory in a “clean::” target since
       it gets generated again during the build, with different contents
       (which breaks double-build).
     - Update accordingly (keep shipping it as README).
     - No longer remove License.txt (no longer shipped).
     - Remove INSTALL.txt (not needed).
  * Refresh patch accordingly:
     - debian/patches/10_ship_examples_miles.dat
  * Include patch to add a python shebang for scripts missing it:
     - debian/patches/20_add_python_shebang
  * debian/control:
     - Bump Standards-Version from 3.7.3 to 3.8.0 (no changes needed).
     - Update my mail address.
  * debian/copyright:
     - Ditto.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 29 Nov 2008 22:57:14 +0100

python-pygraphviz (0.36-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control:
     - Uniformize Vcs-Browser field.

  [ Cyril Brulebois ]
  * New upstream release.
  * debian/copyright:
     - Update copyright years.
     - Add full licensing terms for doc/examples/miles_dat.txt.gz
     - Uniformize indentation, add some blank lines to ease reading.
  * No longer repack:
     - Not needed, since the license of miles.dat has been sorted out.
     - Drop README.Debian accordingly.
     - Drop version mangling in the watch file accordingly.
     - Drop no longer needed DEB_REAL_UPSTREAM_VERSION variable, and
       use DEB_UPSTREAM_VERSION instead.
  * Ship doc/examples/miles.dat.gz:
     - Add patch to ship it (upstream uses a wildcard on “*.dat” only,
       adding a wildcard on “*.txt.gz”): 10_ship_examples_miles.dat
     - Build-Depends: Add quilt accordingly.
     - debian/rules: Add quilt include accordingly.
  * Graphviz transition:
     - Build-Depends: Replace libgraphviz3-dev with libgraphviz-dev
       (the development package is no longer versioned).
     - Depends: Bump the versioned dependency from >= 2.12 to >= 2.16.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 15 Jan 2008 14:51:25 +0100

python-pygraphviz (0.35.dfsg-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Add Homepage field, delete it from the long description.
  * Rename XS-Vcs-* fields to Vcs-*.
  * Add execute bit to test.py file instead of lintian override.

  [ Cyril Brulebois ]
  * Mention in README.Debian how to obtain miles.dat, as suggested by Kumar
    Appaiah (Closes: #449547).
  * Add a TODO about the missing get-orig-source target in debian/rules (in
    case upstream keeps on shipping miles.dat).
  * Bump Standards-Version to 3.7.3 (no change needed).

  [ Sandro Tosi ]
  * debian/watch: Mangle debian version to match upstream version (by
    stripping the “.dfsg” part).

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Fri, 21 Dec 2007 01:19:09 +0100

python-pygraphviz (0.35.dfsg-1) unstable; urgency=low

  * New upstream release.

