=== debian/control ===
Source: python-pygraphviz
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 5), cdbs (>= 0.4.43), python-support (>= 0.6.4), python-all-dev (>= 2.3.5-11), libgraphviz-dev, python-setuptools, pkg-config
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Homepage: http://networkx.lanl.gov/pygraphviz/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pygraphviz/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pygraphviz/trunk/

Package: python-pygraphviz
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, graphviz (>= 2.16), ${misc:Depends}
Provides: ${python:Provides}
Description: Python interface to the Graphviz graph layout and visualization package
 Pygraphviz is a Python interface to the Graphviz graph layout and
 visualization package.
 .
 With Pygraphviz you can create, edit, read, write, and draw graphs using
 Python to access the Graphviz graph data structure and layout algorithms.
