=== debian/watch ===
version=3

http://networkx.lanl.gov/download/pygraphviz/pygraphviz-([\d\.]*)\.tar.gz
