## python-pygraphviz 1.1

=== debian/changelog ===
python-pygraphviz (1.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches/20_doc_install_path, debian/rules
    - install the documentation in the expected Debian directory, so part of doc
      installation was semplified in rules
  * debian/{control, rules}
    - added python-pygraphviz-dbg package
  * debian/copyright
    - extended packaging copyright years
    - updated upstream copyright years
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Oct 2011 14:47:32 +0200
