=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 5), cdbs (>= 0.4.43), python-support (>= 0.6.4), python-all-dev (>= 2.3.5-11), libgraphviz-dev, python-setuptools, pkg-config
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 5), cdbs (>= 0.4.43), python-support (>= 0.6.4), python-all-dev (>= 2.3.5-11), python-all-dbg, libgraphviz-dev, python-setuptools, pkg-config
+Standards-Version: 3.9.2
 XS-Python-Version: >= 2.5
 Homepage: http://networkx.lanl.gov/pygraphviz/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pygraphviz/trunk/
@@ -20,3 +20,18 @@
  .
  With Pygraphviz you can create, edit, read, write, and draw graphs using
  Python to access the Graphviz graph data structure and layout algorithms.
+
+Package: python-pygraphviz-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: ${misc:Depends}, python-pygraphviz (= ${binary:Version}), python-dbg, ${shlibs:Depends}
+Description: Python interface to the Graphviz graph layout and visualization package (debug extension)
+ Pygraphviz is a Python interface to the Graphviz graph layout and
+ visualization package.
+ .
+ With Pygraphviz you can create, edit, read, write, and draw graphs using
+ Python to access the Graphviz graph data structure and layout algorithms.
+ .
+ This package contains the debug extension for python-openssl.
+
