## python-pygraphviz 1.2

=== debian/changelog ===
python-pygraphviz (1.2-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - updated for new upstream tarballs location
  * debian/copyright
    - update upstream copyright years and author email
    - extended packaging copyright years
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 05 Aug 2013 23:36:04 +0200

python-pygraphviz (1.1-2) unstable; urgency=low

  * debian/rules
    - remove leftover from build process, so the package can be built twice in a
      row; thanks to Jakub Wilk for the report; Closes: #671253

 -- Sandro Tosi <morph@debian.org>  Sun, 06 May 2012 17:20:23 +0200
