=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 5), cdbs (>= 0.4.43), python-support (>= 0.6.4), python-all-dev (>= 2.3.5-11), python-all-dbg, libgraphviz-dev, python-setuptools, pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 XS-Python-Version: >= 2.5
 Homepage: http://networkx.lanl.gov/pygraphviz/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pygraphviz/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pygraphviz/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pygraphviz/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pygraphviz/trunk/
 
 Package: python-pygraphviz
 Architecture: any
