=== debian/rules ===
--- 
+++ 
@@ -65,3 +65,4 @@
 clean::
 	# Shipped in the source tarball, generated again during the build
 	rm -rf pygraphviz.egg-info
+	rm -rf python-build-stamp build
