=== debian/watch ===
version=3

opts="uversionmangle=s/rc/~rc/" \
  http://pypi.python.org/packages/source/p/pygraphviz/pygraphviz-(.*)\.tar.gz
