## python-pygraphviz 1.3~rc2

=== debian/changelog ===
python-pygraphviz (1.3~rc2-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/patches/{2e27964ce86e8f49c496e5a549237ff6b1763e9a*.patch, 
                    ignore-decoding.patch}
    - removed, merged upstream
  * debian/rules
    - run unittests at build time
  * debian/patches/dont-import-tests.patch
    - removed, no longer needed
  * debian/control
    - add python-nose to b-d, needed to run unittests

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Nov 2014 20:29:23 +0000

python-pygraphviz (1.3~rc1-1) unstable; urgency=medium

  * New upstream release candidate
  * Switch from CDBS + pysupport to dh sequencer and dh_python2; Closes: #759709
  * debian/patches/*
    - don't install data from setup.py, use dh_installexamples instead
  * debian/control
    - remove useless Provides
    - fix typo in long description for -dbg package
    - switch me to Maintainer (team to Uploaders)
    - add graphviz to b-d, needed to run tests
    - bump Standards-Version to 3.9.6 (no changes needed)
  * debian/README.source
    - removed, no longer needed
  * Bump debhelper compat version to 9
  * debian/copyright
    - extend packaging and upstream copyright years
  * debian/patches/ignore-decoding.patch
    - remove locale & decoding in libgraphviz identification process
  * debian/patches/dont-import-tests.patch
    - disable load of tests submodule

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Oct 2014 19:42:17 +0100
