=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-pygraphviz
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 5), cdbs (>= 0.4.43), python-support (>= 0.6.4), python-all-dev (>= 2.3.5-11), python-all-dbg, libgraphviz-dev, python-setuptools, pkg-config
-Standards-Version: 3.9.4
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9), dh-python, python-all-dev (>= 2.3.5-11), python-all-dbg, libgraphviz-dev, python-setuptools, pkg-config, graphviz, python-nose
+Standards-Version: 3.9.6
 XS-Python-Version: >= 2.5
 Homepage: http://networkx.lanl.gov/pygraphviz/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pygraphviz/trunk/
@@ -13,7 +13,6 @@
 Package: python-pygraphviz
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, graphviz (>= 2.16), ${misc:Depends}
-Provides: ${python:Provides}
 Description: Python interface to the Graphviz graph layout and visualization package
  Pygraphviz is a Python interface to the Graphviz graph layout and
  visualization package.
@@ -33,5 +32,4 @@
  With Pygraphviz you can create, edit, read, write, and draw graphs using
  Python to access the Graphviz graph data structure and layout algorithms.
  .
- This package contains the debug extension for python-openssl.
-
+ This package contains the debug extension for python-pygraphviz.
