=== debian/changelog ===
python-pygraphviz (1.3.1-0ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:10:23 +0000

python-pygraphviz (1.3.1-0ubuntu1) xenial; urgency=medium

  * New upstream version.
  * Fix return type for agattr_label.
  * Generate the bindings using swig 3.0.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Jan 2016 17:51:15 +0100

python-pygraphviz (1.3~rc2-3build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 00:06:28 +0000

python-pygraphviz (1.3~rc2-3) unstable; urgency=medium

  * debian/control
    - suggests the -doc package

 -- Sandro Tosi <morph@debian.org>  Mon, 29 Jun 2015 07:49:16 -0400

python-pygraphviz (1.3~rc2-2) experimental; urgency=medium

  * debian/{control, rules}
    - provide py3k packages
  * debian/watch
    - use PyPI redirector
  * debian/{control, docs, rules}
    - build documentation and provide a -doc package

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Feb 2015 17:43:59 +0000
