=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: python-pygraphviz
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python-all-dev (>= 2.3.5-11), python-all-dbg, libgraphviz-dev, python-setuptools, pkg-config, graphviz, python-nose
+Build-Depends: debhelper (>= 9), dh-python, python-all-dev (>= 2.3.5-11), python-all-dbg, python3-all-dev, python3-all-dbg, libgraphviz-dev, python-setuptools, python3-setuptools, pkg-config, graphviz, python-nose, python3-nose, python-sphinx
 Standards-Version: 3.9.6
-XS-Python-Version: >= 2.5
+X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.2
 Homepage: http://networkx.lanl.gov/pygraphviz/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pygraphviz/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pygraphviz/trunk/
@@ -13,12 +15,26 @@
 Package: python-pygraphviz
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, graphviz (>= 2.16), ${misc:Depends}
+Suggests: python-pygraphviz-doc
 Description: Python interface to the Graphviz graph layout and visualization package
  Pygraphviz is a Python interface to the Graphviz graph layout and
  visualization package.
  .
  With Pygraphviz you can create, edit, read, write, and draw graphs using
  Python to access the Graphviz graph data structure and layout algorithms.
+
+Package: python3-pygraphviz
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, graphviz (>= 2.16), ${misc:Depends}
+Suggests: python-pygraphviz-doc
+Description: Python interface to the Graphviz graph layout and visualization package (Python 3)
+ Pygraphviz is a Python interface to the Graphviz graph layout and
+ visualization package.
+ .
+ With Pygraphviz you can create, edit, read, write, and draw graphs using
+ Python to access the Graphviz graph data structure and layout algorithms.
+ .
+ This package contains the Python 3 version of python-pygraphviz.
 
 Package: python-pygraphviz-dbg
 Priority: extra
@@ -33,3 +49,30 @@
  Python to access the Graphviz graph data structure and layout algorithms.
  .
  This package contains the debug extension for python-pygraphviz.
+
+Package: python3-pygraphviz-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: ${misc:Depends}, python3-pygraphviz (= ${binary:Version}), python3-dbg, ${shlibs:Depends}
+Description: Python interface to the Graphviz graph layout and visualization package (py3k debug extension)
+ Pygraphviz is a Python interface to the Graphviz graph layout and
+ visualization package.
+ .
+ With Pygraphviz you can create, edit, read, write, and draw graphs using
+ Python to access the Graphviz graph data structure and layout algorithms.
+ .
+ This package contains the debug extension for python3-pygraphviz.
+
+Package: python-pygraphviz-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Description: Python interface to the Graphviz graph layout and visualization package (doc)
+ Pygraphviz is a Python interface to the Graphviz graph layout and
+ visualization package.
+ .
+ With Pygraphviz you can create, edit, read, write, and draw graphs using
+ Python to access the Graphviz graph data structure and layout algorithms.
+ .
+ This package contains documentation for python-pygraphviz.
