=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -r)
PYTHON3=$(shell py3versions -r)

%:
	dh  $@ --with python2,python3,sphinxdoc

override_dh_install:
	set -e; \
	for python in $(PYTHON2); do \
		$$python setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-pygraphviz; \
		$$python-dbg setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-pygraphviz-dbg; \
	done
	for python in $(PYTHON3); do \
		$$python setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-pygraphviz; \
		$$python-dbg setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-pygraphviz-dbg; \
	done

override_dh_auto_build:
	set -e; \
	for python in $(PYTHON2) $(PYTHON3); do \
		$$python setup.py build; \
		$$python-dbg setup.py build; \
	done
	PYTHONPATH=$(CURDIR)/`python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)"` $(MAKE) -C doc html

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pygraphviz --dbg-package=python-pygraphviz-dbg
	dh_strip -ppython3-pygraphviz --dbg-package=python3-pygraphviz-dbg
endif

override_dh_installexamples:
	dh_installexamples -ppython-pygraphviz-doc examples/*

override_dh_installdocs:
	dh_installdocs -ppython-pygraphviz-dbg --link-doc=python-pygraphviz
	dh_installdocs -ppython3-pygraphviz-dbg --link-doc=python3-pygraphviz
	dh_installdocs
	dh_installdocs -ppython-pygraphviz-doc doc/build/html README.rst

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e; \
	for python in python3.5 $(PYTHON2) $(PYTHON3); do \
		echo "======= testing $$python-dbg ======="; \
		if [ "$$python" = xxpython3.4 ]; then \
			echo "don't run"; \
			continue; \
		fi; \
		LIB=$$($$python-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
		touch $(CURDIR)/$$LIB/pygraphviz/tests/__init__py ; \
		cd build ; $$python-dbg -c "import sys ; sys.path.insert(0, '$(CURDIR)/$$LIB') ; import pygraphviz as t ; t.test()" ; cd .. ; \
		rm $(CURDIR)/$$LIB/pygraphviz/tests/__init__py ; \
		echo "======= testing $$python ======="; \
		LIB=$$($$python-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
		touch $(CURDIR)/$$LIB/pygraphviz/tests/__init__py ; \
		cd build ; $$python-dbg -c "import sys ; sys.path.insert(0, '$(CURDIR)/$$LIB') ; import pygraphviz as t ; t.test()" ; cd .. ; \
		rm $(CURDIR)/$$LIB/pygraphviz/tests/__init__py ; \
	done
endif
