## python-pygraphviz 1.4~rc1

=== debian/changelog ===
python-pygraphviz (1.4~rc1-1build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 21:38:34 +1200

python-pygraphviz (1.4~rc1-1build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:53:13 +1200

python-pygraphviz (1.4~rc1-1) unstable; urgency=medium

  * New upstream release candidate
  * Acknowledge NMU, thanks!! Closes: #840845
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - add mock to b-d, needed by tests
    - remove X-P-V fields, no longer needed
  * compat level 10
  * debian/rules
    - remove doc/build in clean target, this allows the package to be built
      twice in a row; Closes: #825922
    - make tests errors fail the build; Closes: #842539

 -- Sandro Tosi <morph@debian.org>  Sun, 08 Jan 2017 15:03:20 -0500

python-pygraphviz (1.3.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove “set -e; \” line in the dh_auto_test override, which was commented
    out already. Test results are ignored entirely anyway. This fixes the
    FTBFS with /bin/sh as bash, thanks to Chris Lamb (Closes: #840845).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 30 Oct 2016 03:09:42 +0100

python-pygraphviz (1.3.1-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release; Closes: #794444, #819739
  * debian/copyright
    - extend upstream copyright years
    - extend packaging copyright years
    - convert to DEP-5 format
    - add files from new upstream release
  * debian/rules
    - don't install README.*, not very informative
    - print for which python flavour we're running the tests
    - increase test verbosity
    - dont fail the build it tests fail
  * debian/control
    - update Homepage field
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Sat, 23 Apr 2016 00:32:03 +0100
