=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: python-pygraphviz
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python-all-dev (>= 2.3.5-11), python-all-dbg, python3-all-dev, python3-all-dbg, libgraphviz-dev, python-setuptools, python3-setuptools, pkg-config, graphviz, python-nose, python3-nose, python-sphinx
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.2
-Homepage: http://networkx.lanl.gov/pygraphviz/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pygraphviz/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pygraphviz/trunk/
+Build-Depends: debhelper (>= 10), dh-python, python-all-dev (>= 2.3.5-11), python-all-dbg, python3-all-dev, python3-all-dbg, libgraphviz-dev, python-setuptools, python3-setuptools, pkg-config, graphviz, python-nose, python3-nose, python-sphinx, python-mock (>= 1.3), python3-mock (>= 1.3)
+Standards-Version: 3.9.8
+Homepage: https://pygraphviz.github.io/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pygraphviz.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pygraphviz.git
 
 Package: python-pygraphviz
 Architecture: any
