=== debian/changelog ===
python-pygraphviz (1.5-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:47 +0100

python-pygraphviz (1.5-4) unstable; urgency=medium

  * debian/rules
    - cleaner file by exporting PYBUILD_NAME instead of overwriting
      dh_auto_install

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Jan 2020 13:05:01 -0500

python-pygraphviz (1.5-3) unstable; urgency=medium

  * debian/rules
    - properly install module files in the binary packages; patch by Anton
      Gladky; Closes: #948713

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Jan 2020 21:01:07 -0500

python-pygraphviz (1.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938068

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jan 2020 19:06:49 -0500

python-pygraphviz (1.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * New upstream release; Closes: #914378
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/control
    - bump Standards-Version to 4.2.1 (no changes needed)
  * debian/{control,rules}
    - build with py3k sphinx

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Nov 2018 12:42:16 -0500
